# $Revision: 1.51 $, $Date: 2012/07/06 21:10:07 $
Summary:	Linux USB utilities
Summary(pl.UTF-8):	Linuksowe narzędzia do USB
Summary(pt_BR.UTF-8):	Utilitários Linux USB
Name:		usbutils
Version:	006
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.kernel.org/pub/linux/utils/usb/usbutils/%{name}-%{version}.tar.bz2
# Source0-md5:	9d13954981f4adbe3fd02aae6dbfafa9
Patch0:		%{name}-ids.patch
URL:		http://www.linux-usb.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	libtool
BuildRequires:	libusb-devel >= 1.0.0
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	/etc

%description
usbutils contains a utility for inspecting devices connected to the
USB bus. It requires a Linux kernel version 2.3.15 or newer
(supporting the '/proc/bus/usb' interface) or patched PLD's 2.2
kernel.

%description -l pl.UTF-8
Pakiet usbutils zawiera narzędzie do przeglądania urządzeń
podłączonych do szyny USB. Wymaga jądra w werji 2.3.15 lub nowszej (z
obsługą interfejsu /proc/bus/usb) lub jądra 2.2 z PLD.

%description -l pt_BR.UTF-8
Este pacote contém utilitários para inspecionar dispositivos
conectados a um barramento USB.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	pkgconfigdir=%{_pkgconfigdir} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/update-usbids.sh
%attr(755,root,root) %{_bindir}/lsusb
%attr(755,root,root) %{_bindir}/usb-devices
%attr(755,root,root) %{_bindir}/usbhid-dump
%{_mandir}/man1/usb-devices.1*
%{_mandir}/man8/lsusb.8*
%{_mandir}/man8/usbhid-dump.8*
%{_datadir}/usb.ids
# there is no devel package for now and the dir is part of filesystem
%{_pkgconfigdir}/usbutils.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: usbutils.spec,v $
Revision 1.51  2012/07/06 21:10:07  arekm
- up to 006

Revision 1.50  2011/08/17 19:29:47  qboosh
- updated to 004

Revision 1.49  2011/06/16 06:40:51  arekm
- up to 003

Revision 1.48  2011/03/18 15:09:52  qboosh
- disable silent-rules

Revision 1.47  2011/03/18 08:41:47  arekm
- up to 002

Revision 1.46  2010/12/16 15:23:32  arekm
- up to 001

Revision 1.45  2010/10/23 13:16:06  qboosh
- package usbhid-dump
- ac/am versions

Revision 1.44  2010/10/23 00:22:20  pawelz
- up to 0.91

Revision 1.43  2010/08/13 06:14:33  arekm
- up to 0.90

Revision 1.42  2010/04/06 13:11:00  sparky
- BR: pkgconfig

Revision 1.41  2010/03/18 06:26:27  arekm
- up to 0.87

Revision 1.40  2009/08/18 10:57:14  adamg
- updated to 0.86

Revision 1.39  2009/07/25 14:35:59  arekm
- up to 0.84

Revision 1.38  2009/05/25 10:08:54  patrys
- package pkg-config file needed by udev-extras

Revision 1.37  2009/05/13 10:40:46  amateja
- updated Source0-md5

Revision 1.36  2009/05/12 09:55:02  amateja
- updated to 0.82
- removed "paranoid check"; usb.ids from package is more recent than the one from website
- uncompresing is unnecesary when uncompresed file is already present

Revision 1.35  2009/02/04 12:26:17  hawk
- BR, R libusb-compat to make it work with libusb 1.0.0

Revision 1.34  2009/01/27 21:24:32  hawk
- release 2

Revision 1.33  2007/11/01 21:38:07  qboosh
- updated to 0.73
- updated usb.ids, back to CVS for better changes control

Revision 1.32  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.30  2006/07/29 15:46:02  sparky
- use usb.ids directly from web

Revision 1.29  2006/03/17 17:03:54  baggins
- release 2
- moved usb.ids to /etc (hal, and maybe others, expects it in the same place as pci.ids)

Revision 1.28  2006/03/04 20:55:26  qboosh
- updated to 0.72, updated usb.ids

Revision 1.27  2005/05/23 10:39:29  pluto
- updated to 0.71.

Revision 1.26  2005/02/06 01:12:16  qboosh
- removed obsolete ignore-HCC patch (HCCs are supported now)

Revision 1.25  2005/02/05 23:16:38  adamg
- updated to 0.70
- dropped -no_external_getopt and -hwdata_in_misc patches
- URL switched to linux-usb.org
- renumbered patches
- updated usb.ids (20050206)
- BuildRequires: libusb-devel >= 0.1.8

Revision 1.24  2004/03/31 13:54:37  qboosh
- updated usb.ids (2004/03/09 10:08:15)
- added ignore-HCC patch to avoid parse errors caused by new HCC tags
- release 4

Revision 1.23  2003/08/22 10:50:47  qboosh
- updated usb.ids (back to CVS - it's a text file), updated ids patch

Revision 1.22  2003/06/14 14:18:32  areq
- fix Source1-md5

Revision 1.21  2003/06/14 14:13:22  areq
- add Source0-md5

Revision 1.20  2003/06/14 14:06:47  areq
- add Source1-md5

Revision 1.19  2003/05/28 13:02:31  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:27:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/02/08 17:22:01  kloczek
- merge translations from Conectiva.

Revision 1.16  2003/02/07 10:55:21  qboosh
- use fresh usb.ids from www.linux-usb.org; release 3

Revision 1.15  2002/12/26 02:56:17  qboosh
- better solution (automake --force breaks things)
- call libtoolize in proper dir
- ids patch - fix for 2 bad entries in usb.ids, added eGalax TouchKit ids
- release 2

Revision 1.14  2002/12/25 21:10:34  radek
- hack, which allows to build in Ac environment

Revision 1.13  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/08/17 12:46:51  kloczek
- updated to 0.11: bugfixes.

Revision 1.11  2002/07/05 21:02:56  qboosh
- removed non-existing patch2

Revision 1.10  2002/06/30 11:44:25  kloczek
- updated to 0.10 (bug fixes and more USB devices registered in usb.ids),
- fixes for not using private getopt(),
- added hwdata_in_misc patch (put usb.ids in /usr/share/misc).

Revision 1.9  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:14:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/04/20 16:27:58  marcus
- added regeneration ac/am stuff
- BR: autoconf,automake,libtool
- rel.3.

Revision 1.6  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/20 10:49:16  qboosh
- adapterized, pl translation; release 2

Revision 1.3  2001/06/13 09:45:46  kloczek
- updated to 0.8.

Revision 1.2  2001/05/22 02:19:20  kloczek
- first PLD release.

